%define		_class		Image
%define		_subclass	Tools 
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	1.0.0RC1
Release:	%mkrel 2
Summary:	Tool collection for images
License:	BSD License
Group:		Development/PHP
URL:		http://pear.php.net/package/Image_Tools/
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.4.0
Requires:	php-pear-Image_Color >= 1.0.1
Requires:	php-pear-PHP_Compat >= 1.4.1
BuildArch:	noarch



%description
Tools collection of common image manipulations.
Available extensions are Blend, Border, Marquee, Mask, Swap, Thumbnail and
Watermark.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Image_Tools.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Image_Tools.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Image_Tools
fi

%files
%doc docs/Image_Tools/*
%{peardir}/*
%{xmldir}/Image_Tools.xml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.0.0RC1-2.mga4
+ Revision: 528053
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 spuhler <spuhler> 1.0.0RC1-1.mga4
+ Revision: 443373
- upgrade to version 1.0.0RC1
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.4.2-7.mga3
+ Revision: 376780
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 05 2011 spuhler <spuhler> 0.4.2-6.mga1
+ Revision: 47496
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Image_Tools


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-6mdv2011.0
+ Revision: 613695
- the mass rebuild of 2010.1 packages

* Fri Dec 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.2-5mdv2010.1
+ Revision: 473549
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.4.2-4mdv2010.0
+ Revision: 441214
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-3mdv2009.1
+ Revision: 322239
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-2mdv2009.0
+ Revision: 236902
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.4.2-1mdv2008.1
+ Revision: 136408
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.4.2-1mdv2008.0
+ Revision: 15681
- 0.4.2


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-1mdv2007.0
+ Revision: 81969
- Import php-pear-Image_Tools

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-1mdk
- 0.3.0
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2-1mdk
- initial Mandriva package (PLD import)

